%define fontname paktype-nashk-basic
%global fontconf 67-%{fontname}
%define fontdir %{_datadir}/fonts/%{fontname}
%define paktypehome http://downloads.sourceforge.net/project/paktype/

# Common description
%define common_desc \
The paktype-naskh-basic-fonts package contains fonts for the display of \
Arabic from the PakType by Lateef Sagar.

Name:    %{fontname}-fonts
Version: 3.0
Release: 2%{?dist}
License: GPLv2 with exceptions
URL: https://sourceforge.net/projects/paktype/
Source0: %{paktypehome}NaskhBasic-3.0.tar.gz
Source1: %{fontconf}-sa.conf
Source2: %{fontconf}-sindhi.conf
Source3: %{fontconf}-farsi.conf
Source4: %{fontconf}-urdu.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: fontforge >= 20080429 
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Requires:       %{name}-common 
Group: User Interface/X
Summary: Fonts for Arabic from PakType

 
%description
%common_desc

%package common
Summary:  Common files for paktype-naskh fonts
Group:  User Interface/X
Requires: fontpackages-filesystem
%description common
%common_desc


%package -n %{fontname}-farsi-fonts
Summary: Tehreer Fonts for Arabic from PakType
Group: User Interface/X
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-farsi-fonts
%common_desc

%_font_pkg -n farsi -f %{fontconf}-farsi.conf PakTypeNaskhBasicFarsi.ttf

%package -n %{fontname}-sa-fonts
Summary: Tehreer Fonts for Arabic from PakType
Group: User Interface/X
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-sa-fonts
%common_desc

%_font_pkg -n sa -f %{fontconf}-sa.conf PakTypeNaskhBasicSA.ttf

%package -n %{fontname}-sindhi-fonts
Summary: Tehreer Fonts for Arabic from PakType
Group: User Interface/X
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-sindhi-fonts
%common_desc

%_font_pkg -n sindhi -f %{fontconf}-sindhi.conf PakTypeNaskhBasicSindhi.ttf

%package -n %{fontname}-urdu-fonts
Summary: Tehreer Fonts for Arabic from PakType
Group: User Interface/X
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-urdu-fonts
%common_desc

%_font_pkg -n urdu -f %{fontconf}-urdu.conf PakTypeNaskhBasicUrdu.ttf


%prep
%setup -q -c
cd NaskhBasic-3.0;
rm -r Project\ files/
mv * ../
cd ..
rmdir NaskhBasic-3.0;
cd Ready\ to\ use\ fonts/
mv PakType\ Naskh\ Basic\ Farsi.ttf PakTypeNaskhBasicFarsi.ttf
mv PakType\ Naskh\ Basic.ttf PakTypeNaskhBasic.ttf
mv PakType\ Naskh\ Basic\ SA.ttf PakTypeNaskhBasicSA.ttf
mv PakType\ Naskh\ Basic\ Urdu.ttf PakTypeNaskhBasicUrdu.ttf
mv PakType\ Naskh\ Basic\ Sindhi.ttf PakTypeNaskhBasicSindhi.ttf
cd ../License\ files
cp -p PakType\ Naskh\ Basic\ Comparison\ Chart.htm Chart.htm
for txt in Chart.htm; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done
cp -p Chart.htm PakType\ Naskh\ Basic\ Comparison\ Chart.htm
mv PakType\ Naskh\ Basic\ License.txt License.txt
for txt in License.txt; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done
chmod a-x PakType\ Naskh\ Basic\ Comparison\ Chart.htm License.txt PakType\ Naskh\ Basic\ Comparison\ Chart.pdf
cd ..
for txt in Readme.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\x92//g' $txt.new
   sed -i 's/\x93//g' $txt.new
   sed -i 's/\x94//g' $txt.new
   sed -i 's/\x95//g' $txt.new
   sed -i 's/\x96//g' $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

%build
echo "Nothing to do in Build."

%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p Ready\ to\ use\ fonts/PakTypeNaskhBasicFarsi.ttf Ready\ to\ use\ fonts/PakTypeNaskhBasic.ttf Ready\ to\ use\ fonts/PakTypeNaskhBasicSA.ttf Ready\ to\ use\ fonts/PakTypeNaskhBasicUrdu.ttf Ready\ to\ use\ fonts/PakTypeNaskhBasicSindhi.ttf $RPM_BUILD_ROOT%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sa.conf

ln -s %{_fontconfig_templatedir}/%{fontconf}-sa.conf \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}-sa.conf

install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sindhi.conf

ln -s %{_fontconfig_templatedir}/%{fontconf}-sindhi.conf \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}-sindhi.conf
install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-farsi.conf

ln -s %{_fontconfig_templatedir}/%{fontconf}-farsi.conf \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}-farsi.conf

install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-urdu.conf

ln -s %{_fontconfig_templatedir}/%{fontconf}-urdu.conf \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}-urdu.conf



%clean
rm -rf $RPM_BUILD_ROOT

%_font_pkg PakTypeNaskhBasic.ttf

%doc License\ files/PakType\ Naskh\ Basic\ Comparison\ Chart.htm License\ files/License.txt License\ files/PakType\ Naskh\ Basic\ Comparison\ Chart.pdf Readme.txt

%changelog
* Mon Feb 15 2010 Naveen Kumar <nkumar@redhat.com> - 3.0-2
- Re-packing with updated License information.
- Changes in Spec file with new upstream source.
- Added conf files

* Mon Feb 15 2010 Naveen Kumar <nkumar@redhat.com> - 3.0-1
- Initial packaging for version-3.0
